@import "reset.css";

:root {
  --green: #3CB878;
  --green-hover: #01813F;
  --text-color-dark: #434343;
  --text-color-light: #ffffff;
  font-size: 14px;
}

body {
  font-family: "Ubuntu", sans-serif;
  line-height: 1;
  font-weight: 400;
}

.sign-up {
  width: 100%;
  height: 100vh;
  background: url("../img/background-main.png") center/cover no-repeat;
}

.container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

.header {
  background: rgba(0, 0, 0, 0.4);
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.header__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: var(--text-color-light)
}

.header__logo {
  transition: color 0.2s ease;
}

.header__logo:hover {
  color: var(--green);
}

.header__logo {
  display: flex;
  align-items: center;
  padding: 18px 0;
}

.header__logo-text {
  font-weight: 700;
  font-size: 1.6rem;
  text-transform: uppercase;
}

.header__menu {
  display: flex;
  align-items: center;
  justify-content: center;
}

.header__menu-icons {
  display: flex;
  align-items: center;
  margin-left: 24px;
}

.header__menu-icons::after {
  content: "";
  display: flex;
  width: 1px;
  height: 24px;
  background: var(--text-color-light);
  opacity: 0.5;
  margin: 0 24px;
}

.header__menu-list {
  display: flex;
  gap: 24px;
}

.header__menu-icon {
  fill: var(--text-color-light);
  transition: fill 0.2s ease;
  height: 24px;
  width: 24px;
}

.header__menu-icon:hover {
  fill: var(--green);
}

.header__menu-link {
  transition: color 0.2s ease;
}

.header__menu-link:hover {
  color: var(--green);
}

.main-form__wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: calc(100vh - 60px);
}

.main-form {
  position: relative;
  background-color: #ffffff;
  padding: 32px 16px 40px;
  max-width: 444px;
  width: 100%;
}

.form-container {
  max-width: 324px;
  width: 100%;
  margin: 0 auto;
}

.main-form:before {
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  position: absolute;
  left: 0;
  top: 32px;
  background-color: var(--green);
}

.main-form__header {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-bottom: 16px;
}

.main-form__title {
  font-size: 1.4rem;
  color: var(--text-color-dark);
}

.main-form__login-link {
  color: var(--green);
}

.main-form__header-buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 32px;
  gap: 8px;
}

.main-form__header-button {
  width: 100%;
  border-radius: 4px;
  color: var(--text-color-light);
  font-size: 1.15rem;
  display: flex;
  align-items: center;
}

.main-form__header-button:active {
  box-shadow: inset 0 3px 12px rgba(0, 0, 0, 0.6);
}

.main-form__header-button_image {
  display: flex;
  align-items: center;
  height: 24px;
}

.main-form__header-button_image-wrapper {
  display: flex;
  align-items: center;
  padding-left: 16px;
}

.main-form__header-button_image-wrapper::after {
  content: "";
  display: flex;
  width: 1px;
  height: 28px;
  background: #0A162F;
  opacity: 0.1;
  margin: 0 12px;
}

.main-form__header-button_text {
  width: 100%;
  padding: 16px 20px 16px 0;
}

.facebook-btn {
  background-color: #305DB8;
  transition: background-color 0.2s ease-in-out;
}

.google-btn {
  background-color: #DF4A32;
  transition: background-color 0.2s ease-in-out;
}

.facebook-btn:hover {
  background-color: #022263;
}

.google-btn:hover {
  background-color: #AB1F09;
}

.google-btn .main-form__header-button_image-wrapper::after {
  background: #2B0D09;
  opacity: 0.1;
  margin: 0 8px;
}

.google-btn .main-form__header-button_text {
  padding: 16px 20px 16px 18px;
}

.google-btn .main-form__header-button_image {
  height: 20px;
  opacity: 0.8;
}

.main-form__divider {
  width: 100%;
  margin-bottom: 8px;
}

.main-form__divider-text {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #848484;
}

.main-form__divider-text::before, .main-form__divider-text::after {
  content: "";
  display: flex;
  width: 100%;
  height: 1px;
  background: #F2F2F2;
  opacity: 1;
  margin: 0 2px;
}

.main-form__form {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.form__input-wrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 16px;
  margin-bottom: 12px;
}

.form__input {
  border-radius: 4px;
  border: 1px solid #F2F2F2;
  padding: 16px 20px;
  width: 100%;
}

.form__input::placeholder {
  color: #BEBEBE;
}

.form__input:focus {
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
  outline: none;
}

.form__checkbox-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 20px;
}

.form__checkbox {
  position: absolute;
  opacity: 0;
  height: 20px;
  width: 20px;
  cursor: pointer;
  z-index: 2;
}

.form__checkbox-custom {
  position: relative;
  height: 20px;
  width: 20px;
  border: 1px solid #F2F2F2;
}

.form__checkbox-wrapper .form__checkbox:checked ~ .form__checkbox-custom::after {
  content: url('../img/checked.svg');
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: var(--green);
}

.form__checkbox-label {
  color: #434343;
}

.form__checkbox-link {
  color: var(--green);
  transition: color 0.2s ease;

}

.form__checkbox-link:hover {
  text-decoration: underline;
  color: var(--green-hover);
}

.form__button {
  border-radius: 4px;
  background-color: var(--green);
  color: var(--text-color-light);
  font-size: 1.15rem;
  padding: 16px;
  width: 100%;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;

}

.form__button:hover {
  background-color: var(--green-hover);
}

.form__button:active {
  box-shadow: inset 0 3px 12px rgba(0, 0, 0, 0.3);
}

@media (max-width: 400px) {
  .header__menu-list {
    gap: 8px;
  }

  .header__menu-icons {
    margin-left: 8px;
  }

  .header__menu-icons::after {
    margin: 0 8px;
  }

  .main-form:before {
    top: 1%;
  }

  .main-form__header-button_text {
    display: none;
  }

  .main-form__header-button_image-wrapper::after {
    display: none;
  }

  .main-form__header-button_image-wrapper {
    padding: 8px;
  }

  .main-form__header-button {
    justify-content: center;
  }
}

@media (max-height: 700px) {
  .header {
    margin-bottom: 20px;
  }

  .sign-up {
    height: 100%;
  }

  .main-form__wrapper {
    height: 100%;
    margin-bottom: 20px;
  }
}

